summaryrefslogtreecommitdiff
path: root/service/test/perf/tags/run
diff options
context:
space:
mode:
authorDuda Dornelles <ddornell@thoughtworks.com>2014-11-24 10:19:34 -0200
committerDuda Dornelles <ddornell@thoughtworks.com>2014-11-24 10:19:34 -0200
commit6dcb711dc40bbb36806f29c1ef081a3f0b384283 (patch)
tree783dae7f434145f4e30063218c7e086b98bf6a09 /service/test/perf/tags/run
parent4f484e4dd2a40c4b3c71cd3d241785fb3a7b2eaf (diff)
adding perf tests for GET /tags
Diffstat (limited to 'service/test/perf/tags/run')
-rwxr-xr-xservice/test/perf/tags/run26
1 files changed, 26 insertions, 0 deletions
diff --git a/service/test/perf/tags/run b/service/test/perf/tags/run
new file mode 100755
index 00000000..fe9743ef
--- /dev/null
+++ b/service/test/perf/tags/run
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# Copyright (c) 2014 ThoughtWorks, Inc.
+#
+# Pixelated is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Pixelated is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with Pixelated. If not, see <http://www.gnu.org/licenses/>.
+
+if ! which gnuplot
+then
+ echo "You must install gnuplot to run perf tests"
+ exit 1
+fi
+
+mkdir -p results
+fl-run-bench test_Tags.py Tags.test_mails
+LC_ALL=en_US.ascii fl-build-report --html results/tags-bench.xml